#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:       ark
Summary:    Program for managing various archive formats within the KDE environment
Version: 4.11.4
Release:    %mkrel %{rel}
Group:      Archiving/Compression
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://www.kde.org/applications/utilities/ark/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdebase4-devel >= 1:%version
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(zlib)
BuildRequires: bzip2-devel
BuildRequires: gmp-devel

Requires: kdebase4-runtime

Suggests: p7zip
Suggests: unzip
Suggests: ark-handbook

%description
Graphical file compression/decompression utility with support for multiple
formats

%files
%_kde_bindir/ark
%_kde_libdir/kde4/kerfuffle_*
%_kde_libdir/kde4/libextracthere.so
%_kde_libdir/kde4/arkpart.so
%_kde_applicationsdir/ark.desktop
%_kde_appsdir/ark/
%_kde_datadir/config.kcfg/ark.kcfg
%_kde_services/ark_part.desktop
%_kde_services/kerfuffle_*
%_kde_servicetypes/kerfufflePlugin.desktop
%_kde_services/ServiceMenus/ark_*.desktop
%_kde_services/ark_dndextract.desktop
%_kde_iconsdir/hicolor/*/apps/ark.png
%_kde_iconsdir/hicolor/scalable/apps/ark.svgz

#------------------------------------------------------------------------------

%package -n ark-handbook
Summary: Ark Handbook
Conflicts: ark < 4.7.1
BuildArch: noarch
Group: Documentation
%description -n ark-handbook
This package provides ark handbook.

%files -n ark-handbook
%docdir %_kde_docdir
%_kde_docdir/HTML/en/ark/
%_kde_mandir/man1/ark.1.*

#------------------------------------------------------------------------------

%define libkerfuffle_major 4
%define libkerfuffle %mklibname kerfuffle %{libkerfuffle_major}

%package -n %libkerfuffle
Summary: Runtime library for Ark
Group: System/Libraries

%description -n %libkerfuffle
Runtime library for Ark

%files -n %libkerfuffle
%_kde_libdir/libkerfuffle.so.%{libkerfuffle_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkerfuffle = %version-%release
Conflicts: kdeutils4-devel < 4.7.90

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/libkerfuffle.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554928
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551182
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540317
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490798
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488611
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476885
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465228
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458842
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455233
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447998
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435365
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428475
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407289
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401829
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394452
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 346083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339559
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334614
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326815
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320334
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316209
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301986
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289790
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277078
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Fix files list

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269644
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266284
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257274
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228356
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221457
- New upstream tarball

* Tue Jan 24 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 200595
- Drop patch0( merged upstream)
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-2.mga2
+ Revision: 191509
- Update tarball to kde 4.7.97
- add patch0 from upstream to add missing add_definition() calls

* Wed Jan 04 2012 fwang <fwang> 4.7.95-2.mga2
+ Revision: 190634
- rebuild for new libarchive

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186370
- Update tarball to KDE 4.7.95
- fix group

* Sun Dec 18 2011 fwang <fwang> 4.7.90-2.mga2
+ Revision: 183600
- add correct conflicts

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182008
- imported package ark

